﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace NLScC.converter
{
    [ValueConversion(sourceType: typeof(byte), targetType: typeof(string))]
    class FontSizeToVisibleStringConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int a = System.Convert.ToInt32(value);
            switch (a)
            {
                case 1:
                    return "Offset: -4";
                case 2:
                    return "Offset: -3";
                case 3:
                    return "Offset: -2";
                case 4:
                    return "Offset: -1";
                case 5:
                    return "Offset: 0"; 
                case 6:
                    return "Offset: 1";
                case 7:
                    return "Offset: 2";
                case 8:
                    return "Offset: 3";
                case 9:
                    return "Offset: 4";
                default:
                    return "UNDEFINED";
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
