﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace NLScC.converter
{
    [ValueConversion(targetType: typeof(byte), sourceType: typeof(int))]
    class IntegerToButtonSizeConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int i = System.Convert.ToInt32(value);
            switch (i)
            {
                case 1:
                    return 20;
                case 2:
                    return 25;
                case 4:
                    return 35;
                case 5:
                    return 40;
                case 6:
                    return 45;
                case 7:
                    return 50;
                default:
                    return 30;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
