﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Media.Imaging;
using System.Windows;
using System.Reflection;

namespace NLScC.converter
{
    class LogLevelToImageConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var s = (NLScC.model.LogConsole.LogLevel)value;
            switch (s)
            {
                case model.LogConsole.LogLevel.Error:
                    return new BitmapImage(new Uri(@"pack://application:,,,/"
                                                    + Assembly.GetExecutingAssembly().GetName().Name
                                                    + ";component/" + "images/other/errormark.png", UriKind.RelativeOrAbsolute));
                case model.LogConsole.LogLevel.Warning:
                    return new BitmapImage(new Uri(@"pack://application:,,,/"
                                                    + Assembly.GetExecutingAssembly().GetName().Name
                                                    + ";component/" + "images/other/attentionmark.png", UriKind.RelativeOrAbsolute));
                default:
                    return new BitmapImage(new Uri(@"pack://application:,,,/"
                                                    + Assembly.GetExecutingAssembly().GetName().Name
                                                    + ";component/" + "images/other/cmd.png", UriKind.RelativeOrAbsolute));
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
