﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace NLScC.model
{
    class ExpanderApp : NotifyBase
    {
        private string _header;
        public string Header { get { return _header; } set { SetField(ref _header, value); } }

        private ManagedAppCollection _managedCollection;
        public ManagedAppCollection ManagedCollection { get { return _managedCollection; } private set { SetField(ref _managedCollection, value); } }

        private ListCollectionView _view;
        public ListCollectionView View { get { return _view; } private set { SetField(ref _view, value); } }

        public ExpanderApp()
        {

        }

        public ExpanderApp(string header)
        {
            _header = header;
            _managedCollection = new ManagedAppCollection();
            _view = new ListCollectionView(_managedCollection);
        }

    }
}
