﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using NLScC.model;

namespace NLScC.model
{
    public static class OutlookHelper
    {
        internal static void PrepareMailWithRecipients(IEnumerable<NLSMember> members)
        {
            Microsoft.Office.Interop.Outlook.Application app = new Microsoft.Office.Interop.Outlook.Application();
            Microsoft.Office.Interop.Outlook.MailItem MailItem = app.CreateItem(Microsoft.Office.Interop.Outlook.OlItemType.olMailItem);

            foreach (NLSMember m in members)
            {
                MailItem.Recipients.Add(m.Mail);
            }

            if (MailItem.Recipients.Count > 0)
            {
                MailItem.Recipients.ResolveAll();
                MailItem.Display();
            }
        }

        internal static void PrepareMailWithRecipients(string mailadress)
        {
            Microsoft.Office.Interop.Outlook.Application app = new Microsoft.Office.Interop.Outlook.Application();
            Microsoft.Office.Interop.Outlook.MailItem MailItem = app.CreateItem(Microsoft.Office.Interop.Outlook.OlItemType.olMailItem);

            MailItem.Recipients.Add(mailadress);

            if (MailItem.Recipients.Count > 0)
            {
                MailItem.Recipients.ResolveAll();
                MailItem.Display();
            }
        }
    }
}
