﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using NLScC.model;

namespace NLScC.converter
{
    class AppTypeExecuteConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            ApplicationType type = (ApplicationType)values[0];
            string path = (string)values[1];
            string args = (string)values[2];

            if (args == "") args = string.Empty;
            return Tuple.Create(type,path, args);
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
