﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace NLScC.converter
{
    class ApplicationTypeToEnabledConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if ((NLScC.model.ApplicationType)value == NLScC.model.ApplicationType.Application || (NLScC.model.ApplicationType)value == NLScC.model.ApplicationType.Folder)
            {
                if ((NLScC.model.ApplicationType)parameter == NLScC.model.ApplicationType.Application || (NLScC.model.ApplicationType)parameter == NLScC.model.ApplicationType.Folder)
                {
                    return true;
                }
            }
            else if ((NLScC.model.ApplicationType)value == NLScC.model.ApplicationType.Website || (NLScC.model.ApplicationType)value == NLScC.model.ApplicationType.Chrome ||
                (NLScC.model.ApplicationType)value == NLScC.model.ApplicationType.Firefox || (NLScC.model.ApplicationType)value == NLScC.model.ApplicationType.Edge)
            {
                if ((NLScC.model.ApplicationType)parameter == NLScC.model.ApplicationType.Website || (NLScC.model.ApplicationType)parameter == NLScC.model.ApplicationType.Chrome ||
                (NLScC.model.ApplicationType)parameter == NLScC.model.ApplicationType.Firefox || (NLScC.model.ApplicationType)parameter == NLScC.model.ApplicationType.Edge)
                {
                    return true;
                }
            }
            return false;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
