﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Media;

namespace NLScC.converter
{
    [ValueConversion(sourceType: typeof(NLScC.ItemSources.FontArt), targetType: typeof(FontFamily))]
    class FontArtToFontFamilyConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            switch (value)
            {
                case NLScC.ItemSources.FontArt.Calibri:
                    return new FontFamily("Calibri");
                case NLScC.ItemSources.FontArt.CourierNew:
                    return new FontFamily("Courier New");
                default:
                    return new FontFamily("Times New Roman");
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
